module(...)
--auto generate data
DATA={
	[101]={
		attribute={[1]=8,[2]=3,[3]=2,[4]=6,},
		content_xpos={[1]=440,},
		count=100,
		des=5001,
		dialog={[1]=1010,[2]=1011,[3]=1012,},
		file=[[grade]],
		flag=1,
		handle_id=1,
		head_xpos={[1]=60,[2]=265,[3]=440,},
		id=101,
		jump=0,
		mien=1,
		name=[[Level Ranking]],
		oneself=1,
		parent_id=1,
		per_page=20,
		quick=1,
		rank_find={[1]=1,[2]=50,},
		refresh_time=3600,
		refresh_tips=[[Refresh every hour]],
		reset_time=[[]],
	},
	[102]={
		attribute={[1]=8,[2]=3,[3]=4,[4]=16,[5]=6,},
		content_xpos={[1]=395,[2]=485,},
		count=100,
		des=5001,
		dialog={[1]=1010,[2]=1011,[3]=1012,},
		file=[[worldboss]],
		flag=1,
		handle_id=1,
		head_xpos={[1]=60,[2]=265,[3]=395,[4]=485,},
		id=102,
		jump=0,
		mien=1,
		name=[[Labyrinth]],
		oneself=1,
		per_page=20,
		quick=1,
		rank_find={[1]=1,[2]=50,},
		refresh_time=3600,
		refresh_tips=[[Refresh every hour]],
		reset_time=[[]],
	},
	[103]={
		attribute={[1]=8,[2]=3,[3]=7,[4]=6,},
		content_xpos={[1]=440,},
		count=100,
		des=5001,
		dialog={[1]=1010,[2]=1011,[3]=1012,},
		file=[[warpower]],
		flag=1,
		handle_id=5,
		head_xpos={[1]=60,[2]=265,[3]=440,},
		id=103,
		jump=0,
		mien=1,
		name=[[Total CP]],
		oneself=1,
		parent_id=3,
		per_page=20,
		quick=1,
		rank_find={[1]=1,[2]=50,},
		refresh_time=3600,
		refresh_tips=[[Refresh every hour]],
		reset_time=[[]],
	},
	[104]={
		attribute={[1]=8,[2]=3,[3]=11,[4]=6,},
		content_xpos={[1]=440,},
		count=100,
		des=5001,
		dialog={[1]=1010,[2]=1011,[3]=1012,},
		file=[[none]],
		flag=1,
		handle_id=1,
		head_xpos={[1]=60,[2]=265,[3]=440,},
		id=104,
		jump=0,
		mien=1,
		name=[[Collection]],
		oneself=1,
		per_page=20,
		quick=1,
		rank_find={[1]=1,[2]=50,},
		refresh_time=3600,
		refresh_tips=[[Refresh every hour]],
		reset_time=[[]],
	},
	[105]={
		attribute={[1]=8,[2]=3,[3]=4,[4]=12,[5]=6,},
		content_xpos={[1]=410,[2]=520,},
		count=100,
		des=5001,
		dialog={[1]=1010,[2]=1011,[3]=1012,},
		file=[[pata]],
		flag=1,
		handle_id=0,
		head_xpos={[1]=60,[2]=265,[3]=410,[4]=520,},
		id=105,
		jump=0,
		mien=1,
		name=[[Training Tower]],
		oneself=1,
		parent_id=5,
		per_page=20,
		quick=1,
		rank_find={[1]=1,[2]=50,},
		refresh_time=3600,
		refresh_tips=[[Refresh every hour]],
		reset_time=[[]],
	},
	[106]={
		attribute={[1]=8,[2]=3,[3]=10,[4]=9,[5]=6,},
		content_xpos={[1]=395,[2]=485,},
		count=100,
		des=5001,
		dialog={[1]=1010,[2]=1011,[3]=1012,},
		file=[[arenagame]],
		flag=1,
		handle_id=3,
		head_xpos={[1]=60,[2]=265,[3]=395,[4]=485,},
		id=106,
		jump=0,
		mien=1,
		name=[[PVP Ranking]],
		oneself=1,
		parent_id=6,
		per_page=20,
		quick=1,
		rank_find={[1]=1,[2]=50,},
		refresh_time=3600,
		refresh_tips=[[Refresh every hour]],
		reset_time=[[]],
	},
	[107]={
		attribute={[1]=8,[2]=13,[3]=14,[4]=17,[5]=18,},
		content_xpos={[1]=440,},
		count=100,
		des=5001,
		dialog={[1]=1010,[2]=1011,[3]=1012,},
		file=[[none]],
		flag=1,
		handle_id=4,
		head_xpos={[1]=60,[2]=265,[3]=440,},
		id=107,
		jump=0,
		mien=1,
		name=[[Alliance Level]],
		oneself=1,
		per_page=20,
		quick=1,
		rank_find={[1]=1,[2]=50,},
		refresh_time=3600,
		refresh_tips=[[Refresh every hour]],
		reset_time=[[]],
	},
	[108]={
		attribute={[1]=8,[2]=13,[3]=15,[4]=17,[5]=18,},
		content_xpos={[1]=440,},
		count=100,
		des=5001,
		dialog={[1]=1010,[2]=1011,[3]=1012,},
		file=[[none]],
		flag=1,
		handle_id=4,
		head_xpos={[1]=60,[2]=265,[3]=440,},
		id=108,
		jump=0,
		mien=1,
		name=[[Alliance member]],
		oneself=1,
		per_page=20,
		quick=1,
		rank_find={[1]=1,[2]=50,},
		refresh_time=3600,
		refresh_tips=[[Refresh every hour]],
		reset_time=[[]],
	},
	[109]={
		attribute={[1]=8,[2]=3,[3]=4,[4]=9,[5]=6,},
		content_xpos={[1]=410,[2]=520,},
		count=100,
		des=5001,
		dialog={[1]=1010,[2]=1011,[3]=1012,},
		file=[[equalarena]],
		flag=1,
		handle_id=1,
		head_xpos={[1]=60,[2]=265,[3]=410,[4]=520,},
		id=109,
		jump=0,
		mien=1,
		name=[[Universal Battle]],
		oneself=1,
		per_page=20,
		quick=1,
		rank_find={[1]=1,[2]=50,},
		refresh_time=3600,
		refresh_tips=[[Refresh every hour]],
		reset_time=[[]],
	},
	[110]={
		attribute={[1]=8,[2]=3,[3]=4,[4]=19,[5]=6,},
		content_xpos={[1]=410,[2]=520,},
		count=100,
		des=5001,
		dialog={[1]=1010,[2]=1011,[3]=1012,},
		file=[[yjfuben]],
		flag=1,
		handle_id=1,
		head_xpos={[1]=60,[2]=265,[3]=410,[4]=520,},
		id=110,
		jump=0,
		mien=1,
		name=[[Project X]],
		oneself=1,
		parent_id=10,
		per_page=20,
		quick=1,
		rank_find={[1]=1,[2]=10,},
		refresh_time=3600,
		refresh_tips=[[Refresh on Wednesday, Sunday]],
		reset_time=[[]],
	},
	[111]={
		attribute={[1]=8,[2]=3,[3]=20,[4]=2,[5]=7,[6]=21,},
		content_xpos={[1]=440,},
		count=100,
		des=5001,
		dialog={[1]=1010,[2]=1011,[3]=1012,},
		file=[[terrawars_org]],
		flag=1,
		handle_id=0,
		head_xpos={[1]=60,[2]=265,[3]=440,},
		id=111,
		jump=0,
		mien=1,
		name=[[Ruins]],
		oneself=1,
		per_page=20,
		quick=1,
		rank_find={[1]=1,[2]=50,},
		refresh_time=3600,
		refresh_tips=[[Refresh every hour]],
		reset_time=[[{weekday=3,hour=0}]],
	},
	[112]={
		attribute={[1]=8,[2]=13,[3]=22,[4]=23,[5]=24,[6]=18,},
		content_xpos={[1]=440,},
		count=100,
		des=5001,
		dialog={[1]=1010,[2]=1011,[3]=1012,},
		file=[[terrawars_server]],
		flag=1,
		handle_id=0,
		head_xpos={[1]=60,[2]=265,[3]=440,},
		id=112,
		jump=0,
		mien=1,
		name=[[Ruins Ranking]],
		oneself=1,
		per_page=20,
		quick=1,
		rank_find={[1]=1,[2]=50,},
		refresh_time=3600,
		refresh_tips=[[Refresh every hour]],
		reset_time=[[{weekday=3,hour=0}]],
	},
	[113]={
		attribute={[1]=8,[2]=13,[3]=22,[4]=23,[5]=25,[6]=18,},
		content_xpos={[1]=435,[2]=620,},
		count=100,
		des=5001,
		dialog={[1]=1010,[2]=1011,[3]=1012,},
		file=[[orgprestige]],
		flag=1,
		handle_id=0,
		head_xpos={[1]=60,[2]=265,[3]=435,[4]=620,},
		id=113,
		jump=0,
		mien=1,
		name=[[Alliance]],
		oneself=1,
		parent_id=13,
		per_page=20,
		quick=1,
		rank_find={[1]=1,[2]=50,},
		refresh_time=3600,
		refresh_tips=[[Refresh every hour]],
		reset_time=[[]],
	},
	[114]={
		attribute={[1]=8,[2]=13,[3]=22,[4]=23,[5]=25,[6]=18,},
		content_xpos={[1]=435,[2]=620,},
		count=100,
		des=5001,
		dialog={[1]=1010,[2]=1011,[3]=1012,},
		file=[[teampvp]],
		flag=1,
		handle_id=0,
		head_xpos={[1]=60,[2]=265,[3]=435,[4]=620,},
		id=114,
		jump=0,
		mien=1,
		name=[[United Battle]],
		oneself=1,
		per_page=50,
		quick=1,
		rank_find={[1]=1,[2]=50,},
		refresh_time=0,
		refresh_tips=[[Do not refresh]],
		reset_time=[[]],
	},
	[115]={
		attribute={[1]=8,[2]=26,[3]=28,[4]=27,},
		content_xpos={[1]=435,[2]=620,},
		count=100,
		des=5001,
		dialog={[1]=1010,[2]=1011,[3]=1012,},
		file=[[parpower]],
		flag=1,
		handle_id=6,
		head_xpos={[1]=60,[2]=265,[3]=435,[4]=620,},
		id=115,
		jump=0,
		mien=1,
		name=[[Valarion CP]],
		oneself=1,
		parent_id=15,
		per_page=20,
		quick=1,
		rank_find={[1]=1,[2]=50,},
		refresh_time=3600,
		refresh_tips=[[Refresh every hour]],
		reset_time=[[]],
	},
	[116]={
		attribute={[1]=8,[2]=3,[3]=2,[4]=6,},
		content_xpos={[1]=435,[2]=620,},
		count=100,
		des=5001,
		dialog={[1]=1010,[2]=1011,[3]=1012,},
		file=[[msattack]],
		flag=1,
		handle_id=0,
		head_xpos={[1]=60,[2]=265,[3]=435,[4]=620,},
		id=116,
		jump=0,
		mien=1,
		name=[[Monster Attack Ranking]],
		oneself=1,
		per_page=50,
		quick=1,
		rank_find={[1]=1,[2]=50,},
		refresh_time=0,
		refresh_tips=[[Do not refresh]],
		reset_time=[[]],
	},
	[117]={
		attribute={[1]=8,[2]=3,[3]=6,[4]=29,},
		content_xpos={[1]=440,},
		count=100,
		des=5001,
		dialog={[1]=1010,[2]=1011,[3]=1012,},
		file=[[consume]],
		flag=1,
		handle_id=5,
		head_xpos={[1]=60,[2]=265,[3]=440,},
		id=117,
		jump=0,
		mien=1,
		name=[[Total GNEMO]],
		oneself=1,
		per_page=20,
		quick=1,
		rank_find={[1]=1,[2]=50,},
		refresh_time=3600,
		refresh_tips=[[Refresh every hour]],
		reset_time=[[]],
	},
	[118]={
		attribute={[1]=8,[2]=3,[3]=7,[4]=6,},
		content_xpos={[1]=440,},
		count=100,
		des=5001,
		dialog={[1]=1010,[2]=1011,[3]=1012,},
		file=[[limitwarpower]],
		flag=1,
		handle_id=5,
		head_xpos={[1]=60,[2]=265,[3]=440,},
		id=118,
		jump=0,
		mien=1,
		name=[[CP Ranking]],
		oneself=1,
		per_page=20,
		quick=1,
		rank_find={[1]=1,[2]=50,},
		refresh_time=3600,
		refresh_tips=[[Refresh every hour]],
		reset_time=[[]],
	},
	[119]={
		attribute={[1]=8,[2]=3,[3]=4,[4]=9,[5]=6,},
		content_xpos={[1]=410,[2]=520,},
		count=100,
		des=5001,
		dialog={[1]=1010,[2]=1011,[3]=1012,},
		file=[[equalarenaworld]],
		flag=1,
		handle_id=1,
		head_xpos={[1]=60,[2]=265,[3]=410,[4]=520,},
		id=119,
		jump=0,
		mien=1,
		name=[[World Universal Battle]],
		oneself=1,
		parent_id=19,
		per_page=20,
		quick=1,
		rank_find={[1]=1,[2]=50,},
		refresh_time=3600,
		refresh_tips=[[Refresh every hour]],
		reset_time=[[]],
	},
	[120]={
		attribute={[1]=8,[2]=3,[3]=6,[4]=30,},
		content_xpos={[1]=440,},
		count=100,
		des=5001,
		dialog={[1]=1010,[2]=1011,[3]=1012,},
		file=[[consumediamond]],
		flag=1,
		handle_id=5,
		head_xpos={[1]=60,[2]=265,[3]=440,},
		id=120,
		jump=0,
		mien=1,
		name=[[Total Diamond]],
		oneself=1,
		parent_id=20,
		per_page=20,
		quick=1,
		rank_find={[1]=1,[2]=50,},
		refresh_time=3600,
		refresh_tips=[[Refresh every hour]],
		reset_time=[[]],
	},
	[121]={
		attribute={[1]=8,[2]=3,[3]=6,[4]=31,},
		content_xpos={[1]=440,},
		count=100,
		des=5001,
		dialog={[1]=1010,[2]=1011,[3]=1012,},
		file=[[rechargediamond]],
		flag=1,
		handle_id=5,
		head_xpos={[1]=60,[2]=265,[3]=440,},
		id=121,
		jump=0,
		mien=1,
		name=[[Recharge Diamond]],
		oneself=1,
		parent_id=21,
		per_page=20,
		quick=1,
		rank_find={[1]=1,[2]=50,},
		refresh_time=3600,
		refresh_tips=[[Refresh every hour]],
		reset_time=[[]],
	},
}

RankType={
	[1]={id=1,name=[[Level Ranking]],sortid=8,subid={[1]=101,},},
	[3]={id=3,name=[[CP Ranking]],sortid=1,subid={[1]=103,},},
	[5]={id=5,name=[[Training Tower]],sortid=5,subid={[1]=105,},},
	[6]={id=6,name=[[PVP]],sortid=4,subid={[1]=106,},},
	[10]={id=10,name=[[Project X]],sortid=6,subid={[1]=110,},},
	[13]={id=13,name=[[Alliance]],sortid=3,subid={[1]=113,},},
	[15]={id=15,name=[[Valarion CP]],sortid=2,subid={[1]=115,},},
	[19]={
		id=19,
		name=[[World Universal Battle]],
		sortid=7,
		subid={[1]=119,},
	},
	[20]={id=20,name=[[Total Diamond]],sortid=9,subid={[1]=120,},},
	[21]={id=21,name=[[Recharge Diamond]],sortid=10,subid={[1]=121,},},
}

RankTypeSort={
	[1]=3,
	[2]=15,
	[3]=13,
	[4]=6,
	[5]=5,
	[6]=10,
	[7]=19,
	[8]=1,
	[9]=20,
	[10]=21,
}

RankReward={
	[1]={rank_range={lower=1,upper=10,},reward=1003,},
	[2]={rank_range={lower=11,upper=50,},reward=1004,},
	[3]={rank_range={lower=50,upper=100,},reward=1005,},
}

Attribute={
	[1]={id=1,key=[[pid]],name=[[ID]],show=0,},
	[2]={id=2,key=[[grade]],name=[[Level]],show=1,},
	[3]={id=3,key=[[name]],name=[[Pilot name]],show=0,},
	[4]={id=4,key=[[school]],name=[[Job]],show=1,},
	[5]={id=5,key=[[rank_shift]],name=[[Adjust]],show=0,},
	[6]={id=6,key=[[shape]],name=[[Avatar]],show=0,},
	[7]={id=7,key=[[warpower]],name=[[CP]],show=1,},
	[8]={id=8,key=[[rank]],name=[[Rank]],show=1,},
	[9]={id=9,key=[[point]],name=[[Point]],show=1,},
	[10]={id=10,key=[[segment]],name=[[Grade]],show=1,},
	[11]={id=11,key=[[]],name=[[Number]],show=1,},
	[12]={id=12,key=[[level]],name=[[Floors]],show=1,},
	[13]={id=13,key=[[org_name]],name=[[Alliance Name]],show=1,},
	[14]={id=14,key=[[org_level]],name=[[Alliance Level]],show=1,},
	[15]={id=15,key=[[]],name=[[Member]],show=1,},
	[16]={id=16,key=[[]],name=[[Points]],show=1,},
	[17]={id=17,key=[[flagid]],name=[[Guild Badge]],show=0,},
	[18]={id=18,key=[[flagbgid]],name=[[Alliance]],show=0,},
	[19]={id=19,key=[[point]],name=[[Point]],show=1,},
	[20]={id=20,key=[[position]],name=[[Position]],show=1,},
	[21]={
		id=21,
		key=[[personal_points]],
		name=[[Personal points]],
		show=1,
	},
	[22]={id=22,key=[[flag]],name=[[Font size]],show=0,},
	[23]={id=23,key=[[leader]],name=[[Captain]],show=1,},
	[24]={id=24,key=[[org_points]],name=[[Alliance Point]],show=1,},
	[25]={id=25,key=[[prestige]],name=[[Guild Reputation]],show=1,},
	[26]={id=26,key=[[parname]],name=[[Valarion]],show=1,},
	[27]={id=27,key=[[power]],name=[[CP]],show=1,},
	[28]={id=28,key=[[name]],name=[[Pilot]],show=1,},
	[29]={id=29,key=[[consume]],name=[[Total GNEMO]],show=1,},
	[30]={id=30,key=[[consumediamond]],name=[[Total Diamond]],show=1,},
	[31]={
		id=31,
		key=[[rechargediamond]],
		name=[[Recharge Diamond]],
		show=1,
	},
}

RushReward={
	[105]={
		[0]={
			[1]={
				key=1,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=1,
				rank_id=105,
				reward={
					[1]={amount=5,sid=[[13002]],},
					[2]={amount=1,sid=[[1011(value=2000)]],},
					[3]={amount=1,sid=[[1003(value=800)]],},
				},
				subtype=0,
				title=1028,
			},
			[2]={
				key=2,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=2,
				rank_id=105,
				reward={
					[1]={amount=2,sid=[[13002]],},
					[2]={amount=1,sid=[[1011(value=1000)]],},
					[3]={amount=1,sid=[[1003(value=600)]],},
				},
				subtype=0,
				title=1029,
			},
			[3]={
				key=3,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=3,
				rank_id=105,
				reward={
					[1]={amount=1,sid=[[13002]],},
					[2]={amount=1,sid=[[1011(value=500)]],},
					[3]={amount=1,sid=[[1003(value=400)]],},
				},
				subtype=0,
				title=1030,
			},
			[4]={
				key=4,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=4,
				rank_id=105,
				reward={
					[1]={amount=1,sid=[[1011(value=200)]],},
					[2]={amount=1,sid=[[1003(value=100)]],},
				},
				subtype=0,
				title=0,
			},
			[5]={
				key=5,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=5,
				rank_id=105,
				reward={
					[1]={amount=1,sid=[[1011(value=200)]],},
					[2]={amount=1,sid=[[1003(value=100)]],},
				},
				subtype=0,
				title=0,
			},
			[6]={
				key=6,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=6,
				rank_id=105,
				reward={
					[1]={amount=1,sid=[[1011(value=200)]],},
					[2]={amount=1,sid=[[1003(value=100)]],},
				},
				subtype=0,
				title=0,
			},
			[7]={
				key=7,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=7,
				rank_id=105,
				reward={
					[1]={amount=1,sid=[[1011(value=200)]],},
					[2]={amount=1,sid=[[1003(value=100)]],},
				},
				subtype=0,
				title=0,
			},
			[8]={
				key=8,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=8,
				rank_id=105,
				reward={
					[1]={amount=1,sid=[[1011(value=200)]],},
					[2]={amount=1,sid=[[1003(value=100)]],},
				},
				subtype=0,
				title=0,
			},
			[9]={
				key=9,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=9,
				rank_id=105,
				reward={
					[1]={amount=1,sid=[[1011(value=200)]],},
					[2]={amount=1,sid=[[1003(value=100)]],},
				},
				subtype=0,
				title=0,
			},
			[10]={
				key=10,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=10,
				rank_id=105,
				reward={
					[1]={amount=1,sid=[[1011(value=200)]],},
					[2]={amount=1,sid=[[1003(value=100)]],},
				},
				subtype=0,
				title=0,
			},
		},
	},
	[106]={
		[0]={
			[1]={
				key=11,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=1,
				rank_id=106,
				reward={
					[1]={amount=1,sid=[[1017(value=120)]],},
					[2]={amount=1,sid=[[1009(value=2000)]],},
					[3]={amount=1,sid=[[1003(value=800)]],},
				},
				subtype=0,
				title=1025,
			},
			[2]={
				key=12,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=2,
				rank_id=106,
				reward={
					[1]={amount=1,sid=[[1017(value=60)]],},
					[2]={amount=1,sid=[[1009(value=1000)]],},
					[3]={amount=1,sid=[[1003(value=600)]],},
				},
				subtype=0,
				title=1026,
			},
			[3]={
				key=13,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=3,
				rank_id=106,
				reward={
					[1]={amount=1,sid=[[1017(value=30)]],},
					[2]={amount=1,sid=[[1009(value=500)]],},
					[3]={amount=1,sid=[[1003(value=400)]],},
				},
				subtype=0,
				title=1027,
			},
			[4]={
				key=14,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=4,
				rank_id=106,
				reward={
					[1]={amount=1,sid=[[1009(value=200)]],},
					[2]={amount=1,sid=[[1003(value=100)]],},
				},
				subtype=0,
				title=0,
			},
			[5]={
				key=15,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=5,
				rank_id=106,
				reward={
					[1]={amount=1,sid=[[1009(value=200)]],},
					[2]={amount=1,sid=[[1003(value=100)]],},
				},
				subtype=0,
				title=0,
			},
			[6]={
				key=16,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=6,
				rank_id=106,
				reward={
					[1]={amount=1,sid=[[1009(value=200)]],},
					[2]={amount=1,sid=[[1003(value=100)]],},
				},
				subtype=0,
				title=0,
			},
			[7]={
				key=17,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=7,
				rank_id=106,
				reward={
					[1]={amount=1,sid=[[1009(value=200)]],},
					[2]={amount=1,sid=[[1003(value=100)]],},
				},
				subtype=0,
				title=0,
			},
			[8]={
				key=18,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=8,
				rank_id=106,
				reward={
					[1]={amount=1,sid=[[1009(value=200)]],},
					[2]={amount=1,sid=[[1003(value=100)]],},
				},
				subtype=0,
				title=0,
			},
			[9]={
				key=19,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=9,
				rank_id=106,
				reward={
					[1]={amount=1,sid=[[1009(value=200)]],},
					[2]={amount=1,sid=[[1003(value=100)]],},
				},
				subtype=0,
				title=0,
			},
			[10]={
				key=20,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=10,
				rank_id=106,
				reward={
					[1]={amount=1,sid=[[1009(value=200)]],},
					[2]={amount=1,sid=[[1003(value=100)]],},
				},
				subtype=0,
				title=0,
			},
		},
	},
	[113]={
		[0]={
			[1]={
				key=21,
				org_cash=50000,
				org_leader_reward={},
				org_leader_title=1019,
				rank=1,
				rank_id=113,
				reward={[1]={amount=1,sid=[[1014(value=1000)]],},},
				subtype=0,
				title=1018,
			},
			[2]={
				key=22,
				org_cash=25000,
				org_leader_reward={},
				org_leader_title=1021,
				rank=2,
				rank_id=113,
				reward={[1]={amount=1,sid=[[1014(value=500)]],},},
				subtype=0,
				title=1020,
			},
			[3]={
				key=23,
				org_cash=10000,
				org_leader_reward={},
				org_leader_title=1023,
				rank=3,
				rank_id=113,
				reward={[1]={amount=1,sid=[[1014(value=200)]],},},
				subtype=0,
				title=1022,
			},
			[4]={
				key=24,
				org_cash=3000,
				org_leader_reward={},
				org_leader_title=0,
				rank=4,
				rank_id=113,
				reward={[1]={amount=1,sid=[[1014(value=50)]],},},
				subtype=0,
				title=0,
			},
			[5]={
				key=25,
				org_cash=3000,
				org_leader_reward={},
				org_leader_title=0,
				rank=5,
				rank_id=113,
				reward={[1]={amount=1,sid=[[1014(value=50)]],},},
				subtype=0,
				title=0,
			},
			[6]={
				key=26,
				org_cash=3000,
				org_leader_reward={},
				org_leader_title=0,
				rank=6,
				rank_id=113,
				reward={[1]={amount=1,sid=[[1014(value=50)]],},},
				subtype=0,
				title=0,
			},
			[7]={
				key=27,
				org_cash=3000,
				org_leader_reward={},
				org_leader_title=0,
				rank=7,
				rank_id=113,
				reward={[1]={amount=1,sid=[[1014(value=50)]],},},
				subtype=0,
				title=0,
			},
			[8]={
				key=28,
				org_cash=3000,
				org_leader_reward={},
				org_leader_title=0,
				rank=8,
				rank_id=113,
				reward={[1]={amount=1,sid=[[1014(value=50)]],},},
				subtype=0,
				title=0,
			},
			[9]={
				key=29,
				org_cash=3000,
				org_leader_reward={},
				org_leader_title=0,
				rank=9,
				rank_id=113,
				reward={[1]={amount=1,sid=[[1014(value=50)]],},},
				subtype=0,
				title=0,
			},
			[10]={
				key=30,
				org_cash=3000,
				org_leader_reward={},
				org_leader_title=0,
				rank=10,
				rank_id=113,
				reward={[1]={amount=1,sid=[[1014(value=50)]],},},
				subtype=0,
				title=0,
			},
		},
	},
	[115]={
		[301]={
			[1]={
				key=31,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=1,
				rank_id=115,
				reward={
					[1]={amount=30,sid=[[20301]],},
					[2]={amount=1,sid=[[1003(value=400)]],},
				},
				subtype=301,
				title=1031,
			},
		},
		[302]={
			[1]={
				key=32,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=1,
				rank_id=115,
				reward={
					[1]={amount=20,sid=[[20302]],},
					[2]={amount=1,sid=[[1003(value=600)]],},
				},
				subtype=302,
				title=1032,
			},
		},
		[303]={
			[1]={
				key=33,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=1,
				rank_id=115,
				reward={
					[1]={amount=20,sid=[[20303]],},
					[2]={amount=1,sid=[[1003(value=600)]],},
				},
				subtype=303,
				title=1033,
			},
		},
		[305]={
			[1]={
				key=34,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=1,
				rank_id=115,
				reward={
					[1]={amount=10,sid=[[20305]],},
					[2]={amount=1,sid=[[1003(value=800)]],},
				},
				subtype=305,
				title=1034,
			},
		},
		[306]={
			[1]={
				key=35,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=1,
				rank_id=115,
				reward={
					[1]={amount=10,sid=[[20306]],},
					[2]={amount=1,sid=[[1003(value=800)]],},
				},
				subtype=306,
				title=1035,
			},
		},
		[308]={
			[1]={
				key=36,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=1,
				rank_id=115,
				reward={
					[1]={amount=30,sid=[[20308]],},
					[2]={amount=1,sid=[[1003(value=400)]],},
				},
				subtype=308,
				title=1036,
			},
		},
		[311]={
			[1]={
				key=37,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=1,
				rank_id=115,
				reward={
					[1]={amount=20,sid=[[20311]],},
					[2]={amount=1,sid=[[1003(value=600)]],},
				},
				subtype=311,
				title=1037,
			},
		},
		[312]={
			[1]={
				key=38,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=1,
				rank_id=115,
				reward={
					[1]={amount=20,sid=[[20312]],},
					[2]={amount=1,sid=[[1003(value=600)]],},
				},
				subtype=312,
				title=1038,
			},
		},
		[313]={
			[1]={
				key=39,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=1,
				rank_id=115,
				reward={
					[1]={amount=20,sid=[[20313]],},
					[2]={amount=1,sid=[[1003(value=600)]],},
				},
				subtype=313,
				title=1039,
			},
		},
		[314]={
			[1]={
				key=40,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=1,
				rank_id=115,
				reward={
					[1]={amount=20,sid=[[20314]],},
					[2]={amount=1,sid=[[1003(value=600)]],},
				},
				subtype=314,
				title=1040,
			},
		},
		[315]={
			[1]={
				key=41,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=1,
				rank_id=115,
				reward={
					[1]={amount=10,sid=[[20315]],},
					[2]={amount=1,sid=[[1003(value=800)]],},
				},
				subtype=315,
				title=1041,
			},
		},
		[316]={
			[1]={
				key=42,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=1,
				rank_id=115,
				reward={
					[1]={amount=20,sid=[[20316]],},
					[2]={amount=1,sid=[[1003(value=600)]],},
				},
				subtype=316,
				title=1042,
			},
		},
		[401]={
			[1]={
				key=43,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=1,
				rank_id=115,
				reward={
					[1]={amount=30,sid=[[20401]],},
					[2]={amount=1,sid=[[1003(value=400)]],},
				},
				subtype=401,
				title=1043,
			},
		},
		[402]={
			[1]={
				key=44,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=1,
				rank_id=115,
				reward={
					[1]={amount=20,sid=[[20402]],},
					[2]={amount=1,sid=[[1003(value=600)]],},
				},
				subtype=402,
				title=1044,
			},
		},
		[403]={
			[1]={
				key=45,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=1,
				rank_id=115,
				reward={
					[1]={amount=30,sid=[[20403]],},
					[2]={amount=1,sid=[[1003(value=400)]],},
				},
				subtype=403,
				title=1045,
			},
		},
		[404]={
			[1]={
				key=46,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=1,
				rank_id=115,
				reward={
					[1]={amount=30,sid=[[20404]],},
					[2]={amount=1,sid=[[1003(value=400)]],},
				},
				subtype=404,
				title=1046,
			},
		},
		[405]={
			[1]={
				key=47,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=1,
				rank_id=115,
				reward={
					[1]={amount=10,sid=[[20405]],},
					[2]={amount=1,sid=[[1003(value=800)]],},
				},
				subtype=405,
				title=1047,
			},
		},
		[407]={
			[1]={
				key=48,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=1,
				rank_id=115,
				reward={
					[1]={amount=20,sid=[[20407]],},
					[2]={amount=1,sid=[[1003(value=600)]],},
				},
				subtype=407,
				title=1048,
			},
		},
		[409]={
			[1]={
				key=49,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=1,
				rank_id=115,
				reward={
					[1]={amount=20,sid=[[20409]],},
					[2]={amount=1,sid=[[1003(value=600)]],},
				},
				subtype=409,
				title=1049,
			},
		},
		[410]={
			[1]={
				key=50,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=1,
				rank_id=115,
				reward={
					[1]={amount=30,sid=[[20410]],},
					[2]={amount=1,sid=[[1003(value=400)]],},
				},
				subtype=410,
				title=1050,
			},
		},
		[412]={
			[1]={
				key=51,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=1,
				rank_id=115,
				reward={
					[1]={amount=30,sid=[[20412]],},
					[2]={amount=1,sid=[[1003(value=400)]],},
				},
				subtype=412,
				title=1051,
			},
		},
		[413]={
			[1]={
				key=52,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=1,
				rank_id=115,
				reward={
					[1]={amount=30,sid=[[20413]],},
					[2]={amount=1,sid=[[1003(value=400)]],},
				},
				subtype=413,
				title=1052,
			},
		},
		[414]={
			[1]={
				key=53,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=1,
				rank_id=115,
				reward={
					[1]={amount=30,sid=[[20414]],},
					[2]={amount=1,sid=[[1003(value=400)]],},
				},
				subtype=414,
				title=1053,
			},
		},
		[415]={
			[1]={
				key=54,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=1,
				rank_id=115,
				reward={
					[1]={amount=30,sid=[[20415]],},
					[2]={amount=1,sid=[[1003(value=400)]],},
				},
				subtype=415,
				title=1054,
			},
		},
		[416]={
			[1]={
				key=55,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=1,
				rank_id=115,
				reward={
					[1]={amount=30,sid=[[20416]],},
					[2]={amount=1,sid=[[1003(value=400)]],},
				},
				subtype=416,
				title=1055,
			},
		},
		[417]={
			[1]={
				key=56,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=1,
				rank_id=115,
				reward={
					[1]={amount=30,sid=[[20417]],},
					[2]={amount=1,sid=[[1003(value=400)]],},
				},
				subtype=417,
				title=1056,
			},
		},
		[418]={
			[1]={
				key=57,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=1,
				rank_id=115,
				reward={
					[1]={amount=10,sid=[[20418]],},
					[2]={amount=1,sid=[[1003(value=800)]],},
				},
				subtype=418,
				title=1057,
			},
		},
		[501]={
			[1]={
				key=58,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=1,
				rank_id=115,
				reward={
					[1]={amount=30,sid=[[20501]],},
					[2]={amount=1,sid=[[1003(value=400)]],},
				},
				subtype=501,
				title=1058,
			},
		},
		[502]={
			[1]={
				key=59,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=1,
				rank_id=115,
				reward={
					[1]={amount=30,sid=[[20502]],},
					[2]={amount=1,sid=[[1003(value=400)]],},
				},
				subtype=502,
				title=1059,
			},
		},
		[503]={
			[1]={
				key=60,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=1,
				rank_id=115,
				reward={
					[1]={amount=20,sid=[[20503]],},
					[2]={amount=1,sid=[[1003(value=600)]],},
				},
				subtype=503,
				title=1060,
			},
		},
		[504]={
			[1]={
				key=61,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=1,
				rank_id=115,
				reward={
					[1]={amount=20,sid=[[20504]],},
					[2]={amount=1,sid=[[1003(value=600)]],},
				},
				subtype=504,
				title=1061,
			},
		},
		[505]={
			[1]={
				key=62,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=1,
				rank_id=115,
				reward={
					[1]={amount=20,sid=[[20505]],},
					[2]={amount=1,sid=[[1003(value=600)]],},
				},
				subtype=505,
				title=1062,
			},
		},
		[506]={
			[1]={
				key=63,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=1,
				rank_id=115,
				reward={
					[1]={amount=20,sid=[[20506]],},
					[2]={amount=1,sid=[[1003(value=600)]],},
				},
				subtype=506,
				title=1063,
			},
		},
		[507]={
			[1]={
				key=64,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=1,
				rank_id=115,
				reward={
					[1]={amount=30,sid=[[20507]],},
					[2]={amount=1,sid=[[1003(value=400)]],},
				},
				subtype=507,
				title=1064,
			},
		},
		[508]={
			[1]={
				key=65,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=1,
				rank_id=115,
				reward={
					[1]={amount=20,sid=[[20508]],},
					[2]={amount=1,sid=[[1003(value=600)]],},
				},
				subtype=508,
				title=1065,
			},
		},
		[509]={
			[1]={
				key=66,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=1,
				rank_id=115,
				reward={
					[1]={amount=20,sid=[[20509]],},
					[2]={amount=1,sid=[[1003(value=600)]],},
				},
				subtype=509,
				title=1066,
			},
		},
		[510]={
			[1]={
				key=67,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=1,
				rank_id=115,
				reward={
					[1]={amount=10,sid=[[20510]],},
					[2]={amount=1,sid=[[1003(value=800)]],},
				},
				subtype=510,
				title=1067,
			},
		},
		[511]={
			[1]={
				key=68,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=1,
				rank_id=115,
				reward={
					[1]={amount=10,sid=[[20511]],},
					[2]={amount=1,sid=[[1003(value=800)]],},
				},
				subtype=511,
				title=1068,
			},
		},
		[512]={
			[1]={
				key=69,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=1,
				rank_id=115,
				reward={
					[1]={amount=10,sid=[[20512]],},
					[2]={amount=1,sid=[[1003(value=800)]],},
				},
				subtype=512,
				title=1069,
			},
		},
		[513]={
			[1]={
				key=70,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=1,
				rank_id=115,
				reward={
					[1]={amount=30,sid=[[20513]],},
					[2]={amount=1,sid=[[1003(value=400)]],},
				},
				subtype=513,
				title=1070,
			},
		},
		[514]={
			[1]={
				key=71,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=1,
				rank_id=115,
				reward={
					[1]={amount=20,sid=[[20514]],},
					[2]={amount=1,sid=[[1003(value=600)]],},
				},
				subtype=514,
				title=1071,
			},
		},
	},
	[117]={
		[0]={
			[1]={
				key=72,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=1,
				rank_id=117,
				reward={
					[1]={amount=30,sid=[[20301]],},
					[2]={amount=1,sid=[[1003(value=400)]],},
				},
				subtype=0,
				title=0,
			},
			[2]={
				key=73,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=2,
				rank_id=117,
				reward={
					[1]={amount=30,sid=[[20301]],},
					[2]={amount=1,sid=[[1003(value=400)]],},
				},
				subtype=0,
				title=0,
			},
			[3]={
				key=74,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=3,
				rank_id=117,
				reward={
					[1]={amount=30,sid=[[20301]],},
					[2]={amount=1,sid=[[1003(value=400)]],},
				},
				subtype=0,
				title=0,
			},
		},
	},
	[118]={
		[0]={
			[1]={
				key=75,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=1,
				rank_id=118,
				reward={
					[1]={amount=30,sid=[[20301]],},
					[2]={amount=1,sid=[[1003(value=400)]],},
				},
				subtype=0,
				title=0,
			},
			[2]={
				key=76,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=2,
				rank_id=118,
				reward={
					[1]={amount=30,sid=[[20301]],},
					[2]={amount=1,sid=[[1003(value=400)]],},
				},
				subtype=0,
				title=0,
			},
			[3]={
				key=77,
				org_cash=0,
				org_leader_reward={},
				org_leader_title=0,
				rank=3,
				rank_id=118,
				reward={
					[1]={amount=30,sid=[[20301]],},
					[2]={amount=1,sid=[[1003(value=400)]],},
				},
				subtype=0,
				title=0,
			},
		},
	},
}

RushSort={[1]=118,[2]=115,[3]=113,[4]=106,[5]=105,[6]=117,}

RushConfig={
	[105]={
		desc=[[Description: At the end of the event, Top 10 players of the Training Tower layers will get a generous top racing reward, and the Top 3 players will also receive a cool permanent title!]],
		id=105,
		mail=67,
		name=[[Top Training Tower Ranking]],
		open=0,
		open_day=7,
		refresh_desc=[[Refreshing top once every hour]],
		sort_id=5,
	},
	[106]={
		desc=[[Description: At the end of the event, Top 10 players of Top Points will get a generous top racing reward, and the Top 3 players will also receive a cool permanent title!]],
		id=106,
		mail=68,
		name=[[Top Ranking]],
		open=0,
		open_day=7,
		refresh_desc=[[Refreshing top every 5 minutes]],
		sort_id=4,
	},
	[113]={
		desc=[[Description: At the end of the event, Alliance members in Top 10 of Fame will get a generous top racing reward, Alliance Leader, and the Top 3 players will also receive a gorgoeus permanent title!]],
		id=113,
		mail=69,
		name=[[Top Alliance Ranking]],
		open=0,
		open_day=7,
		refresh_desc=[[Refreshing top once every hour]],
		sort_id=3,
	},
	[115]={
		desc=[[Description: At the end of the event, Top 10 players of every hero will get a generous top racing reward, and receive a cool permanent title!]],
		id=115,
		mail=70,
		name=[[Hero Top Ranking]],
		open=0,
		open_day=7,
		refresh_desc=[[Refreshing top once every hour]],
		sort_id=2,
	},
	[117]={
		desc=[[Description: At the end of the event, the Top 3 players of Diamond Spending will get a generous top racing reward.]],
		id=117,
		mail=91,
		name=[[Top Purchasing Ranking]],
		open=0,
		open_day=7,
		refresh_desc=[[Refreshing top once every hour]],
		sort_id=6,
	},
	[118]={
		desc=[[Description: At the end of the event, the Top 3 players of Diamond Spending will get a generous top racing reward.]],
		id=118,
		mail=92,
		name=[[Power Top Ranking]],
		open=0,
		open_day=7,
		refresh_desc=[[Refreshing top once every hour]],
		sort_id=1,
	},
}
